MODF(3)

NAME
modf, modff, modfl - extract signed integral and fractional values from floating-point number

SYNOPSIS
#include <math.h>

double modf(double x, double *iptr);
float modff(float x, float *iptr);
long double modfl(long double x, long double *iptr);

Link with -lm.

DESCRIPTION
The modf() function breaks the argument x into an integral part and a fractional part, each of which has the same sign as x. The integral part is stored in iptr.

RETURN VALUE
The modf() function returns the fractional part of x.

CONFORMING TO
SVr4, 4.3BSD, C89. The float and the long double variants are C99 requirements.

SEE ALSO
frexp(3), ldexp(3)